/*
 *	instruction.h
 */

#ifndef __INSTRUCTION_H_
#define __INSTRUCTION_H_

#define	CPU_NOP	0
#define	CPU_HALT	1
#define	CPU_OUT	2
#define	CPU_IN	3
#define	CPU_JUMP	4
#define	CPU_JZ		5
#define	CPU_JN		6

#define	CPU_LDM		7
#define	CPU_STM		8

#define	CPU_LDI		9

#define	CPU_ADD		10
#define	CPU_SUB		11

#define	CPU_INCX	12
#define	CPU_DECX	13

#define	CPU_LDXM	14
#define	CPU_STXM	15

#define	CPU_LDX		16
#define	CPU_STX		17

#endif
