/*
 * test-001.c
 *		Hello, World
 */

#include <stdio.h>
#include "memory.h"
#include "instruction.h"
#include "cpu.h"

/*
 * main
 */

int main( int argc, char *argv[] ) {
  int memory[MEMORY_SIZE] = {
	CPU_LDI,	'H',				/* acc := 'A' */
	CPU_OUT,						/* putchar (acc) */ /* putchar ('A') */
	CPU_LDI,	'e',
	CPU_OUT,
	CPU_LDI,	'l',
	CPU_OUT,
	CPU_LDI,	'l',
	CPU_OUT,
	CPU_LDI,	'o',
	CPU_OUT,
	CPU_LDI,	' ',
	CPU_OUT,
	CPU_LDI,	'W',
	CPU_OUT,
	CPU_LDI,	'o',
	CPU_OUT,
	CPU_LDI,	'r',
	CPU_OUT,
	CPU_LDI,	'l',
	CPU_OUT,
	CPU_LDI,	'd',
	CPU_OUT,
	CPU_LDI,	'\n',
	CPU_OUT,
	CPU_HALT,
  };
  CPU cpu;
  int debug = 0;

  if ( argc > 1 && !strcmp ( argv[1], "-d" ) ) {
	debug = 1;
  }

  init_cpu ( &cpu, 0 );

  execute ( &cpu, memory, debug );

  return 0;
}

